import { Component, ViewChild, Injector, Output, EventEmitter } from '@angular/core';
import { ModalDirective } from 'ngx-bootstrap';
import { GetOrderStatusTypeForViewDto, OrderStatusTypeDto } from '@shared/service-proxies/service-proxies';
import { AppComponentBase } from '@shared/common/app-component-base';

@Component({
    selector: 'viewOrderStatusTypeModal',
    templateUrl: './view-orderStatusType-modal.component.html'
})
export class ViewOrderStatusTypeModalComponent extends AppComponentBase {

    @ViewChild('createOrEditModal', { static: true }) modal: ModalDirective;
    @Output() modalSave: EventEmitter<any> = new EventEmitter<any>();

    active = false;
    saving = false;

    item: GetOrderStatusTypeForViewDto;


    constructor(
        injector: Injector
    ) {
        super(injector);
        this.item = new GetOrderStatusTypeForViewDto();
        this.item.orderStatusType = new OrderStatusTypeDto();
    }

    show(item: GetOrderStatusTypeForViewDto): void {
        this.item = item;
        this.active = true;
        this.modal.show();
    }

    close(): void {
        this.active = false;
        this.modal.hide();
    }
}
